﻿@model EmployeeCreateReqDto

@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Create</h1>

<h4>Employee</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="PayrollNumber" class="control-label"></label>
                <input asp-for="PayrollNumber" class="form-control" />
                <span asp-validation-for="PayrollNumber" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Forename" class="control-label"></label>
                <input asp-for="Forename" class="form-control" />
                <span asp-validation-for="Forename" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Surname" class="control-label"></label>
                <input asp-for="Surname" class="form-control" />
                <span asp-validation-for="Surname" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DateOfBirth" class="control-label"></label>
                <input asp-for="DateOfBirth" class="form-control" />
                <span asp-validation-for="DateOfBirth" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Telephone" class="control-label"></label>
                <input asp-for="Telephone" class="form-control" />
                <span asp-validation-for="Telephone" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mobile" class="control-label"></label>
                <input asp-for="Mobile" class="form-control" />
                <span asp-validation-for="Mobile" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Address" class="control-label"></label>
                <input asp-for="Address" class="form-control" />
                <span asp-validation-for="Address" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Address2" class="control-label"></label>
                <input asp-for="Address2" class="form-control" />
                <span asp-validation-for="Address2" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Postcode" class="control-label"></label>
                <input asp-for="Postcode" class="form-control" />
                <span asp-validation-for="Postcode" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="EmailHome" class="control-label"></label>
                <input asp-for="EmailHome" class="form-control" />
                <span asp-validation-for="EmailHome" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="StartDate" class="control-label"></label>
                <input asp-for="StartDate" class="form-control" />
                <span asp-validation-for="StartDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
